<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!-- bootstrap css -->
  <link   rel="stylesheet" 
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>


  <!-- external css -->
  <link rel="stylesheet" type="text/css" href="./css/styles.css">

  <title>Boostrap Components</title>
</head>
<body>
  <div class="container">
      <div class="jumbotron d-flex flex-column justify-content-center align-items-center text-secondary text-center text-md-left" id="banner">
        <h1>Welcome to our Page!</h1>
        <h3>These are samples of Bootstrap Components</h3>
      </div>

      <div class="row">
        <div class="col-md-6 my-4">
          <h2 class="text-center">Find Us!</h2>
          <iframe id="gmap_canvas" src="https://maps.google.com/maps?q=Zuitt%20QC&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>

        </div>
        <div class="col-md-6 my-4">
        <h2 class="text-center">Contact Us!</h2>
        <form action="">
          <div class="form-group">
            <label>Email:</label>
            <input type="email" name="email" id="txt-email" placeholder="name@example.com" class="form-control">
          </div>

          <div class="form-group">
            <label for="txt-select">Example Select:</label>
            <select name="sampleSelect" id="txt-select" class="sampleSelect">
              <option>Option 1</option>
              <option>Option 2</option>
              <option>Option 3</option>
              <option>Option 4</option>
            </select>
          </div>

          <div class="form-group">
            <label for="txt-textarea">Example Text Area</label>
            <textarea name="form-control" id="txt-textarea" rows="3" class="form-control"></textarea>
          </div>

          <button type="submit" class="btn btn-outline-primary">Submit</button>
          <button type="reset" class="btn btn-outline-danger">Reset</button>
        </form>

  <!-- navbar -->
  <nav class="navbar navbar-expand-lg navbar-light bg-primary">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Link</a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- end navbar -->
 
  <!-- main content -->
  <div class="container">
    <div class="jumbotron d-flex flex-column justify-content-center align-items-center text-secondary text-center text-md-left" id="banner">
      <h1>Welcome to our Page!</h1>
      <h3>These are samples of Bootstrap Components</h3>
    </div>

    <div class="row">
      <div class="col-md-6 my-4">
        <h2 class="text-center">Contact Us!</h2>
        <form>
          <div class="form-group">
            <label for="txt-name">Name:</label>
            <input type="text" name="text" id="txt-name" placeholder="sanpedro, dimaculungan"  class="form-control">
          </div>
          <div class="form-group">
            <label for="txt-email">Email:</label>
            <input type="email" name="email" id="txt-email" placeholder="name@example.com"  class="form-control">
          </div>
          <div class="form-group">
            <label for="txt-email">Email:</label>
            <input type="email" name="email" id="txt-email" placeholder="name@example.com"  class="form-control">
          </div>
          <div class="form-group">
            <label for="txt-select">Example Select:</label>
            <select name="sampleSelect" id="txt-select" class="sampleSelect">
              <option>Option 1</option>
              <option>Option 2</option>
              <option>Option 3</option>
              <option>Option 4</option>
            </select>
          </div>
          <div class="form-group">
            <label for="txt-textarea">Example TextArea</label>
            <textarea name="form-control" id="txt-textarea" rows="3" class="form-control"></textarea>
          </div>
          <button type="submit" class="btn btn-outline-primary" data-toggle="modal" data-target="#exampleModal">Submit</button>
          <button type="reset" class="btn btn-outline-danger">Reset</button>
        </form>
      </div>
    </div>
    <!-- carousel -->
    <div class="row mt-5 d-none d-md-block">
      <div class="col-md-6 mx-auto">
        <div data-ride="carousel" id="carouselExampleCaptions" class="carousel slide">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
            <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
            <li data-target="#carouselExampleCaptions" data-slide-to="3"></li>
            <li data-target="#carouselExampleCaptions" data-slide-to="4"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img src="https://place-puppy.com/500x500" alt="dogImage" class="d-block w-100">
              <div class="carousel-caption d-none d-md-block">
                <h5>First slide label</h5>
                <p>Some representative placeholder content for the first slide</p>
              </div>
            </div>
            <div class="carousel-item">
              <img src="https://placebear.com/500/500" alt="dogImage" class="d-block w-100">
              <div class="carousel-caption d-none d-md-block">
                <h5>Second slide label</h5>
                <p>Some representative placeholder content for the first slide</p>
              </div>
            </div>
            <div class="carousel-item">
              <img src="https://placekitten.com/500/500" alt="dogImage" class="d-block w-100">
              <div class="carousel-caption d-none d-md-block">
                <h5>Third slide label</h5>
                <p>Some representative placeholder content for the first slide</p>
              </div>
            </div>
            <div class="carousel-item">
              <img src="https://placebear.com/500/500" alt="dogImage" class="d-block w-100">
              <div class="carousel-caption d-none d-md-block">
                <h5>Fourth slide label</h5>
                <p>
                  Some representative placeholder content for the first slide
                </p>
              </div>
            </div>
            <!-- end 4th carousel -->
            <div>
              <img src="https://placekitten.com/500/500" alt="..." class="d-block w-100">
            </div>
          </div>
          <a href="#carouselExampleCaptions" role="button" data-slide="prev" class="carousel-control-prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a href="#carouselExampleCaptions" role="button" data-slide="next" class="carousel-control-next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class=sr-only>Next</span>
          </a>
        </div>
      </div>
    </div>
    <!-- end carousel -->

    <!-- card -->
    <div class="container">
      <div class="row">

    <div class="card" style="width: 18rem;">
  <img src="https://placekitten.com/500/500" class="card-img-top" alt="...">
  <div class="card-body">
    <h5 class="card-title">Card title</h5>
    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
    <a href="#" class="btn btn-primary">Go somewhere</a>
  </div>
</div>

<div class="card" style="width: 18rem;">
  <img src="https://placekitten.com/500/500" class="card-img-top" alt="...">
  <div class="card-body">
    <h5 class="card-title">Card title</h5>
    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
    <a href="#" class="btn btn-primary">Go somewhere</a>
  </div>
</div>


<div class="card" style="width: 18rem;">
  <img src="https://placekitten.com/500/500" class="card-img-top" alt="...">
  <div class="card-body">
    <h5 class="card-title">Card title</h5>
    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
    <a href="#" class="btn btn-primary">Go somewhere</a>
  </div>
</div>
</div>
</div>
    <!-- end card -->
    <!-- modal -->
    <div id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" class="modal fade">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="header"> 
            <h5 id="exampleModalLabel" class="modal-title">Thank you</h5>
            <button type="button" data-dismiss="modal" arial-label="Close" class="close">
              <span>&times;</span>
            </button>
          </div>
        </div>

        <div class="modal-body">message sent!</div>
        <div class="modal-footer" data-dismiss="modal" class="btn btn-secondary">
          <button type="button">close</button>
        </div>
        </div>
      </div>
    </div>
    <!-- end of modal -->
  </div>
  <!-- end main content -->
  <!-- footer -->
<footer class="p-3 bg-primary mt-5">
  <P class="text-center text-white">This our footer</P>
  <P class="text-center text-white">
    you may add parting message
  </P>
  <!-- social media -->
  <div>
    <a href="https://www.facebook.com/" target="_blank" class="mx-3">
      <i class="fab fa-facebook-square"></i>
    </a>
    <a href="https://www.linkedin.com/" target="_blank" class="mx-3">
      <i class="fab fa-linkedin-square"></i>
    </a>
    <a href="https://gitlab.com/" target="_blank" class="mx-3">
      <i class="fab fa-gitlab-square/"></i>
    </a>
  </div>
</footer>
  <!-- end footer -->

  <!-- js dependecies -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

<!-- font awesome -->
<script src="https://kit.fontawesome.com/7a46a783b9.js" crossorigin="anonymous"></script>

</body>
</html>
